View Issue Details

IDProjectCategoryView StatusLast Update
0002302PartDesignBugpublic2015-11-09 21:37
ReporterbcolsenAssigned Toeivindkvedalen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04.3
Product Version 
Target VersionFixed in Version0.16 
Summary0002302: Part design Fillets and Chamfers fail when using units in a fuction for the radius
DescriptionPart design Fillets and Chamfers fail when defining a function for the radius like "20mm/10" or "1in/10". Works with 20/10

I'm using Ubuntu daily updated today.

PS: I love the new function interface. Great work every one.
Steps To Reproduce1. start new doc
2. make a cube in part workbench
3. select an edge
4. make a fillet or chamfer in part design workbench
5. click the function button in the radius option
6. enter 20mm/10
7. exception in Feature "Fillet" thrown: std::bad_cast
Additional InformationTerminal output:
--accepting rule at line 251 ("20")
--accepting rule at line 164 ("mm")
--accepting rule at line 149 ("/")
--(end of buffer or a NUL)
--accepting rule at line 251 ("10")
--(end of buffer or a NUL)
--EOF (start condition 0)
exception in Feature "Fillet" thrown: std::bad_cast



Version info:
OS: Ubuntu 14.04.3 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5747 (Git)
Build type: None
Branch: master
Hash: 2e6c94fc8e2641e26611632d95e6a28a1618aa89
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

eivindkvedalen

2015-10-25 21:29

developer   ~0006502

See https://github.com/eivindkv/free-cad-code/tree/PartDesign_fix_2302 for a fix.

That branch also fixes a similar problem for chamfers.

wmayer: This required changing the type of Radius and Size in the Fillet and Chamfer classes. I have copied your backwards-compatibility implementation from Pad to do the same in these cases.

Issue History

Date Modified Username Field Change
2015-10-16 17:40 bcolsen New Issue
2015-10-25 20:23 eivindkvedalen Assigned To => eivindkvedalen
2015-10-25 20:23 eivindkvedalen Status new => assigned
2015-10-25 21:29 eivindkvedalen Note Added: 0006502
2015-11-09 21:04 wmayer Changeset attached => FreeCAD Master master acd0f6a7
2015-11-09 21:37 wmayer Changeset attached => FreeCAD Master master be5e7960
2015-11-09 21:37 wmayer Status assigned => closed
2015-11-09 21:37 wmayer Resolution open => fixed
2015-11-09 21:37 wmayer Fixed in Version => 0.16